Check whether the inner iterator has a valid next element

- « CachingIterator::getFlags

- CachingIterator::key »

- PHP Manual
- CachingIterator
- Check whether the inner iterator has a valid next element

# CachingIterator::hasNext

(PHP 5, PHP 7, PHP 8)

CachingIterator::hasNext — Check whether the inner iterator has a valid next element

### Description

public CachingIterator::hasNext(): bool
Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.